/payment-error-state-recovery
Clears error states for payment requests in WaitingForManualAction state and resets them up for retry or other actions. This endpoint provides manual intervention capability to recover from error states by clearing error fields.
Authorization
API-Key token<token>
API key authentication via header (token)
In: header
Request Body
application/json
Payment error recovery request details
Response Body
application/json
application/json
application/json
curl -X POST "https://loading/./../api/v1/payment/error-state-recovery" \ -H "Content-Type: application/json" \ -d '{ "blockchainIdentifier": "blockchain_identifier", "updatedAt": "1970-01-20T20:00:36.260Z", "network": "Preprod" }'{
"status": "Success",
"data": {
"id": "cmf40vg7h0016ucj1u1ro6651"
}
}{
"status": "error",
"error": {
"message": "Payment request is not in WaitingForManualAction state. Current state: WaitingForExternalAction"
}
}Empty
{
"status": "error",
"error": {
"message": "Payment request not found"
}
}Empty



